Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata.provider
Class DataItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.adata.util.DataAdapterFactory
              org.eclipse.amp.amf.adata.provider.DataItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class DataItemProviderAdapterFactory

extends DataAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected CatalogItemProvider` | `catalogItemProvider` This keeps track of the one adapter used for all `Catalog` instances.
`protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
`protected DataPointItemProvider` | `dataPointItemProvider` This keeps track of the one adapter used for all `DataPoint` instances.
`protected MeasurementItemProvider` | `measurementItemProvider` This keeps track of the one adapter used for all `Measurement` instances.
`protected ParameterItemProvider` | `parameterItemProvider` This keeps track of the one adapter used for all `Parameter` instances.
`protected ParameterSetItemProvider` | `parameterSetItemProvider` This keeps track of the one adapter used for all `ParameterSet` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected RunItemProvider` | `runItemProvider` This keeps track of the one adapter used for all `Run` instances.
`protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

Fields inherited from class org.eclipse.amp.amf.adata.util.DataAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`DataItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createCatalogAdapter()` This creates an adapter for a `Catalog`.
`org.eclipse.emf.common.notify.Adapter` | `createDataPointAdapter()` This creates an adapter for a `DataPoint`.
`org.eclipse.emf.common.notify.Adapter` | `createMeasurementAdapter()` This creates an adapter for a `Measurement`.
`org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` This creates an adapter for a `Parameter`.
`org.eclipse.emf.common.notify.Adapter` | `createParameterSetAdapter()` This creates an adapter for a `ParameterSet`.
`org.eclipse.emf.common.notify.Adapter` | `createRunAdapter()` This creates an adapter for a `Run`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.amp.amf.adata.util.DataAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### runItemProvider

    protected RunItemProvider runItemProvider

  This keeps track of the one adapter used for all `Run` instances.

### parameterItemProvider

    protected ParameterItemProvider parameterItemProvider

  This keeps track of the one adapter used for all `Parameter` instances.

### dataPointItemProvider

    protected DataPointItemProvider dataPointItemProvider

  This keeps track of the one adapter used for all `DataPoint` instances.

### catalogItemProvider

    protected CatalogItemProvider catalogItemProvider

  This keeps track of the one adapter used for all `Catalog` instances.

### measurementItemProvider

    protected MeasurementItemProvider measurementItemProvider

  This keeps track of the one adapter used for all `Measurement` instances.

### parameterSetItemProvider

    protected ParameterSetItemProvider parameterSetItemProvider

  This keeps track of the one adapter used for all `ParameterSet` instances.

Constructor Detail

### DataItemProviderAdapterFactory

    public DataItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createRunAdapter

    public org.eclipse.emf.common.notify.Adapter createRunAdapter()

  This creates an adapter for a `Run`.

  Overrides:
    `createRunAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Run`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  This creates an adapter for a `Parameter`.

  Overrides:
    `createParameterAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createDataPointAdapter

    public org.eclipse.emf.common.notify.Adapter createDataPointAdapter()

  This creates an adapter for a `DataPoint`.

  Overrides:
    `createDataPointAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DataPoint`

### createCatalogAdapter

    public org.eclipse.emf.common.notify.Adapter createCatalogAdapter()

  This creates an adapter for a `Catalog`.

  Overrides:
    `createCatalogAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Catalog`

### createMeasurementAdapter

    public org.eclipse.emf.common.notify.Adapter createMeasurementAdapter()

  This creates an adapter for a `Measurement`.

  Overrides:
    `createMeasurementAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Measurement`

### createParameterSetAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterSetAdapter()

  This creates an adapter for a `ParameterSet`.

  Overrides:
    `createParameterSetAdapter` in class `DataAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ParameterSet`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `DataAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD